********************************************************************************
* Use lagged capital ratio, unaffected by crisis, multiply by 100
********************************************************************************

replace lev_1=100*lev_1

*****************************************************************************
************ LP recovery outcomes *********
*****************************************************************************

* force sort tsset again
sort ccode year
tsset ccode year, yearly

estimates clear						

local rhslevels dlrgdp dlcpi dlriy stir ltrate cay loansgdp

foreach v of local rhslevels {
	qui gen l`v' = l.`v'
	}
	
	
local irvars lrgdp rprv 

cap drop lrgdp1 
cap drop lrgdp2 
cap drop lrgdp3 
cap drop lrgdp4 
cap drop lrgdp5

*** variable rescalings
forvalues i=1/10 {
	foreach v of local irvars {
	
	gen `v'`i' = 100*(f`i'.`v' - `v')
	
		}
	}

*** create centered country dummies
forvalues n=1/17 {
	qui gen cendum`n' = .
	qui replace cendum`n' = 1 - 1/16 if ccode == `n'
	qui replace cendum`n' = 0 - 1/16 if ccode != `n'
	}
	


*** create centered decade dummies 
forvalues n=187/200{
	qui gen decdum`n' = .
	qui replace decdum`n' = 1 - 1/13 if decade == `n'
	qui replace decdum`n' = 0 - 1/13 if decade != `n'
	}


* labels for GDP path tables
label var lrgdp1 "Year 1"
label var lrgdp2 "Year 2"
label var lrgdp3 "Year 3"
label var lrgdp4 "Year 4"
label var lrgdp5 "Year 5"
label var pk_norm "Normal recession"
label var pk_fin "Financial recession"


