

local c1 year >= 1870 
local c2 year > 1945 

local p1 full
local p2 post

local t1 Full sample 
local t2 Post-WW2 sample 


label var dlev5 "Capital ratio"
label var dnoncore5 "Noncore ratio"

forvalues j=1/1{

binscatter dlev5 dnoncore5 dloansgdp5 if war==0 & `c`j'' , nquantiles(20) ///
	mcolor(black) ///
	ylabel(, nogrid) ///
	ytitle("5-year average change in balance sheet ratios") ///
	xtitle("5-year average change in loans/GDP") ///
	graphregion(color(white) margin(small)) title("Full sample", size(medium)) ///
	name(bin_`p`j'', replace) legend(pos(11) ring(0) col(1) region(ls(none)) label(1 "5-year change in capital ratio") label(2 "5-year change in non-core ratio")) 

}
forvalues j=2/2{

binscatter dlev5 dnoncore5 dloansgdp5 if war==0 & `c`j'' , nquantiles(20) ///
	mcolor(black) ///
	ylabel(, nogrid) ///
	ytitle("") ///
	xtitle("5-year average change in loans/GDP") ///
	graphregion(color(white) margin(small)) title("Post-WW2 sample", size(medium)) ///
	name(bin_`p`j'', replace) legend(off) 

}
graph combine bin_full bin_post , ///
   name(all, replace) commonscheme graphregion(color(white) margin(small)) ycommon xcommon cols(2) iscale(1.1) 
   
graph display all, xsize(8) ysize(4)   
graph export  "../graphs/Figure_5.pdf" , replace
graph export  "../graphs/Figure_5.eps" , replace
graph close _all  
