*Table 3: Lowest capital ratios in pre-2007 data
preserve 
keep if year >= 1870 & (year <1935 | year >1950)  & (year <1910 | year >1919) & year <2007
sort iso year
by iso: egen min=min(lev)
keep if min==lev 
keep year country lev
replace lev=lev*100
dataout using "../tables/Table_3.tex", replace
restore


*Appendix Tables: Summary Statistics
preserve
replace lev_1=lev_1*100
replace dlev5=dlev5*100
replace ltd_1=ltd_1*100
replace noncore_1=noncore_1*100

eststo clear

eststo: quietly estpost summarize lev_1 dlev5 ltd_1 noncore_1 if war==0

esttab using "../tables/Table_A2.tex", replace ///
	cells("mean(fmt(2) label(Mean)) min(fmt(2) label(Min.)) max(fmt(2) label(Max.)) sd(fmt(2) label(S.D.)) count(fmt(0) label(Obs.))") compress nonum noobs label booktabs nonotes substitute(\_ _) ///
  	title(Full sample: summary statistics ) 
	
eststo clear

eststo: quietly estpost summarize lev_1 dlev5 ltd_1 noncore_1 if year>1945 & war==0

esttab using "../tables/Table_A3.tex", replace ///
	cells("mean(fmt(2) label(Mean)) min(fmt(2) label(Min.)) max(fmt(2) label(Max.)) sd(fmt(2) label(S.D.)) count(fmt(0) label(Obs.))") compress nonum noobs label booktabs nonotes substitute(\_ _) ///
	title(Post-WW2 sample: summary statistics ) 
	
eststo clear

bysort crisisJST: eststo: quietly estpost summarize lev_1 dlev5 if war==0

esttab using "../tables/Table_A4.tex", replace ///
	cells("mean(fmt(2) label(Mean)) min(fmt(2) label(Min.)) max(fmt(2) label(Max.)) sd(fmt(2) label(S.D.)) count(fmt(0) label(Obs.))") compress nonum noobs label nodepvar ///
	title(Full sample: summary statistics for crisis and no-crisis observations) 
	
eststo clear

bysort crisisJST: eststo: quietly estpost summarize lev_1 dlev5 if year>1945 & war==0

esttab using "../tables/Table_A5.tex", replace ///
	cells("mean(fmt(2) label(Mean)) min(fmt(2) label(Min.)) max(fmt(2) label(Max.)) sd(fmt(2) label(S.D.)) count(fmt(0) label(Obs.))") compress nonum noobs label nodepvar ///
	title(Post-WW2 sample: summary statistics for crisis and no-crisis observations) 
	
eststo clear

restore
