preserve

local c1 year >= 1870 

*sets of control variables
local cdfe_dum cdfe_dum* 
local vol vol_dlrgdp_5 vol_dlcpi_5 vol_stir_5 dlcpi5 dlrgdp5 stir5 vol_dloansgdp_5
local bank_returns l(2/3).bank_return bank_return_1 
local assets dlrhouses5 vol_dlrhouses_5 

local changevars lev_1 ltd_1 noncore_1

	
foreach change of local changevars{

*loop over time period
forvalues j=1/1{	
	probit crisisJST `change' dloansgdp5 `cdfe_dum' if `c`j'' & war==0, cluster(iso)
	cap drop ysample
	gen ysample=e(sample)
		predict temp if ysample==1
		margins, dydx(_all) at((mean) _all) post
		roctab crisisJST temp
		estadd scalar AUC = r(area)
		estadd scalar se = r(se)
		drop temp
	eststo m1_`j'_`change'
	drop ysample


	
	probit crisisJST `change' dloansgdp5 `cdfe_dum' `vol' `bank_returns' `assets' if `c`j'' & war==0, cluster(iso)
	gen ysample=e(sample)
		predict temp if ysample==1
		margins, dydx(_all) at((mean) _all) post
		roctab crisisJST temp
		estadd scalar AUC = r(area)
		estadd scalar se = r(se)
		drop temp
	eststo m2_`j'_`change'
	drop ysample
	}
	}

	
	*Decade FE
	esttab m1_1_lev_1 m1_1_ltd_1 m1_1_noncore_1  m2_1_lev_1 m2_1_ltd_1 m2_1_noncore_1     ///
	using "../tables/Table_A22.tex", replace label ///
	keep(dloansgdp5 lev_1 ltd_1 noncore_1 ) order(dloansgdp5 lev_1 ltd_1 noncore_1 )  scalars(AUC se) margin se  nonotes wrap eqlabels(none) nomtitles ///
	indicate( "Macro controls=vol_dlrgdp_5" "House price changes=dlrhouses5" "Excess stock returns=bank_return_1") ///
	b(2) se(2) sfmt(2) obslast star(* 0.10 ** 0.05 *** 0.01)

	
eststo clear

restore
