*Probit crisis models with leverage of largest banks as regressor

preserve

local c1 year>=1870
local c2 year>1945


*sets of control variables
local vol vol_dlrgdp_5 vol_dlcpi_5 vol_stir_5 dlcpi5 dlrgdp5 stir5 vol_dloansgdp_5
local bank_returns l(2/3).bank_return bank_return_1 
local assets dlrhouses5 vol_dlrhouses_5 


forvalues j=1/2{

	
probit crisisJST lev_large_1 dloansgdp5 ccode1-ccode17 ///
if `c`j'' & war==0, cluster(iso)
	cap drop xsample
	gen xsample=e(sample)
	predict temp if  xsample==1, xb
	margins, dydx(_all) at((mean) _all) post
	roctab crisisJST temp if xsample==1
	estadd scalar AUC = r(area)
	estadd scalar se = r(se)
	eststo m1_`j'
	drop temp


probit crisisJST lev_large_1 dloansgdp5 `bank_returns' `vol' `assets' ccode1-ccode17 ///
if `c`j'' & war==0, cluster(iso)
	cap drop xsample
	gen xsample=e(sample)
	predict temp if xsample==1, xb
	margins, dydx(_all) at((mean) _all) post	
	roctab crisisJST temp if xsample==1
	estadd scalar AUC = r(area)
	estadd scalar se = r(se)
	eststo m2_`j'
	drop temp


probit crisisJST dlev_large5 dloansgdp5 ccode1-ccode17 ///
if `c`j'' & war==0, cluster(iso)
	cap drop xsample
	gen xsample=e(sample)
	predict temp if  xsample==1, xb
	margins, dydx(_all) at((mean) _all) post
	roctab crisisJST temp if xsample==1
	estadd scalar AUC = r(area)
	estadd scalar se = r(se)
	eststo m3_`j'
	drop temp


probit crisisJST dlev_large5 dloansgdp5 `bank_returns' `vol' `assets' ccode1-ccode17 ///
if xsample==1, cluster(iso)
	predict temp if xsample==1, xb
	margins, dydx(_all) at((mean) _all) post	
	roctab crisisJST temp if xsample==1
	estadd scalar AUC = r(area)
	estadd scalar se = r(se)
	eststo m4_`j'
	drop temp

	}


label variable dlev_large5 "$\Delta_5$ Capital ratio large banks"
label variable lev_large_1  "Capital ratio large banks"

*Table
esttab m1_1 m2_1 m1_2 m2_2 m3_1 m4_1 m3_2 m4_2   ///
	using "../tables/Table_A11.tex", replace label ///
	title(Sample of largest banks in each country.) ///
	keep(dloansgdp5 lev_large_1 dlev_large5) order(dloansgdp5 lev_large_1 dlev_large5) scalars( AUC se) margin se booktabs nonotes substitute(\_ _) wrap eqlabels(none) mtitles("Full" "Full" "Full" "Full" "Post" "Post" "Post" "Post") ///
	indicate("Macro controls=vol_dlrgdp_5" "House price changes=dlrhouses5" "Excess stock returns=bank_return_1") ///
	b(2) se(2) sfmt(2) obslast star(* 0.10 ** 0.05 *** 0.01)


eststo clear

restore
