preserve

local c1 year >= 1870 
local p1 full
local t1 Full sample // (a) Full sample

*sets of control variables
local vol vol_dlrgdp_5 vol_dlcpi_5 vol_stir_5 dlcpi5 dlrgdp5 stir5 vol_dloansgdp_5
local bank_returns l(2/3).bank_return bank_return_1
local assets dlrhouses5 vol_dlrhouses_5

*capital ratio variables 
local changevars lev_1 dlev5 ltd_1 dltd5 noncore_1 dnoncore5

	
foreach change of local changevars{

*loop over time period
forvalues j=1/1{

	qui probit crisisJST `change' ccode* ///
		if `c`j'' & war==0, cluster(iso)
		capture drop xsample
		qui gen xsample = e(sample)
			
	cap drop ysample
	*Risk controls, w/o Deposit Insurance
	probit crisisJST `change' dloansgdp5 `vol' `bank_returns' `assets' ccode1-ccode17 if xsample==1 & l.DI==0 , cluster(iso)
	gen ysample=e(sample)
		predict temp if ysample==1
		margins, dydx(_all) at((mean) _all) post
		roctab crisisJST temp
		estadd scalar AUC = r(area)
		estadd scalar se = r(se)
		drop temp
	eststo m1_`j'_`change'
	cap drop ysample
	
	*Risk controls, with Deposit Insurance
	probit crisisJST `change' dloansgdp5 `vol' `bank_returns' `assets' ccode1-ccode17 if xsample==1 & l.DI==1, cluster(iso)
	gen ysample=e(sample)
		predict temp if ysample==1
		margins, dydx(_all) at((mean) _all) post
		roctab crisisJST temp
		estadd scalar AUC = r(area)
		estadd scalar se = r(se)
		drop temp
	eststo m2_`j'_`change'
	cap drop ysample
	}
	}
	
	
	*With and without DI
	esttab m1_1_lev_1 m2_1_lev_1 m1_1_dlev5 m2_1_dlev5 m1_1_ltd_1 m2_1_ltd_1 m1_1_noncore_1 m2_1_noncore_1  ///
	using "../tables/Table_A8.tex", replace label ///
	keep(dloansgdp5 lev_1 dlev5 ltd_1  noncore_1 ) ///
	order(dloansgdp5 lev_1 dlev5 ltd_1  noncore_1 ) ///
	scalars(AUC se) margin se nonotes wrap eqlabels(none) mtitles("No-DI" "DI" "No-DI" "DI" "No-DI" "DI" "No-DI" "DI") ///
	indicate("Macrocontrols=vol_dlrgdp_5" "House Price Changes=dlrhouses5" "Excess Stock Returns=bank_return_1") ///
	b(2) se(2) sfmt(2) obslast star(* 0.10 ** 0.05 *** 0.01) ///
	booktabs substitute(\_ _)


eststo clear
restore
	
